import com.deepoove.poi.XWPFTemplate;

import java.io.FileOutputStream;
import java.io.IOException;
import java.util.HashMap;

public class WordTest {


    public static void main(String[] args) {
        try {
            String filepath = "D:\\tq\\文件\\律所\\带占位符.docx";
            String outputpath = "D:\\tq\\文件\\律所\\"+System.currentTimeMillis()+".docx";
            String name = "张三";
            String age = "18";
            String sex = "男";
            String address = "上海";
            XWPFTemplate template = XWPFTemplate.compile(filepath).render(new HashMap<String, Object>() {{
                put("name", name);
                put("age", age);
                put("firstParty", name);
                put("solicitor", age);
                put("socialCreditCode", sex);
                put("address", address);
            }});
            FileOutputStream out = new FileOutputStream(outputpath);
            template.write(out);
            out.flush();
            out.close();
            template.close();
        } catch (IOException e) {
            e.printStackTrace();
        }

    }
}
